Bug 10389 - i830 panel not working.
i830 panel not working.
Status: VERIFIED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/intel
git
x86 (IA32) All
: medium normal
Assigned To: Eric Anholt
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 11:54 UTC by Ondrej Bartos
Modified: 2007-05-20 09:19 UTC (History)
3 users (show)

See Also:


Attachments
Xorg.0.log (49.07 KB, text/plain)
2007-03-23 12:01 UTC, Ondrej Bartos
no flags Details
Picture of corrupted X screen (92.06 KB, image/jpeg)
2007-03-23 12:05 UTC, Ondrej Bartos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Bartos 2007-03-23 11:54:41 UTC
I tried to use new version of Intel driver xf86-video-intel 1.9.92 with Gentoo distribution. After X server is started X screen is corrupted (looks like damaged LCD panel), therefore it is not possible to continue with login. 

Using following versions of packages:
xf86-video-intel 1.9.92
x11-drm 20070314
xorg-server 1.2.99.902
libdrm 2.3.0

Please see attached screenshot and xorg.log.
Comment 1 Ondrej Bartos 2007-03-23 12:01:59 UTC
Created attachment 9271 [details]
Xorg.0.log
Comment 2 Ondrej Bartos 2007-03-23 12:05:46 UTC
Created attachment 9272 [details]
Picture of corrupted X screen
Comment 3 Ondrej Bartos 2007-03-23 12:07:48 UTC
Forgot to mention that the same fault appers with xf86-video-intel 1.9.91 version on the driver.
Comment 4 Joshua Baergen 2007-03-23 16:20:58 UTC
This sounds like bug #9076.
Comment 5 Ondrej Bartos 2007-03-24 03:48:26 UTC
Yes, it looks like very similar. Only the screen is not black but creates different color/white spots. I can also switch between different consoles, restart X by CTRL+ALR+Backspace, no freezing of any process. CPU 100% free.
Comment 6 Eric Anholt 2007-03-26 12:45:00 UTC
Nope, not related to #9076.  We just don't support i830 panels at the moment.  The 830 uses external chips for driving the panel, and while the documentation for all  that we've seen so far is publicly available, and I've even written partial drivers for two of them, I haven't been able to get the I2C working to talk to them yet.
Comment 7 Ondrej Bartos 2007-04-10 03:00:09 UTC
Hi, just would like to ask when we can expect some solution of this case?
Comment 8 Stian Skjelstad 2007-05-02 22:51:06 UTC
I see this with version 2.0.0 aswell. If I disable the DRI, X bails out with "no screens found"
Comment 9 Keith Packard 2007-05-17 20:45:31 UTC
Ok, I830 panel support for the IVCH DVO chip has been merged to the intel driver master branch. It was tested on an IBM X30, so your mileage may vary, please test it at your convenience and re-open this bug if it still fails on your machine.
Comment 10 Ondrej Bartos 2007-05-20 09:19:22 UTC
Hi progress here! It looks that latest git version that I downloaded on May 19th has fixed problems. Tested on IBM ThinkPad R31 and works fine. Just now using this driver and subjective feeling is that it has much better Performance that original versions of intel drivers, comparing to 1.7.4 version. But. This new version has no working XV output at the moment. TVTIME makes Xorg server crashing, mplayer itself crashes too. PLEASE advice if the way is open new ticket or leave this one open for video issues. And thank you for your effort.